Skip to content

Retrieve a single Report

GET
/v1/reports/{id}
curl --request GET \
--url http://api.disclosebot.localdev:3000/v1/reports/example \
--header 'Authorization: Bearer <token>'

A report outside the plan’s report history window (30 days on Free) is not found until the plan’s window includes it.

id
required
string

With results

Media type application/json
object
data
required
object
id
required
string
type
required
string
Allowed values: report
attributes
required
object
title
required
string
description
required
string
shortcode
required
string
inbox_state
required
string
processing_state
required
string
processed_at

When the last triage step completed

string format: date-time
nullable
discarded_at

When a Self Destruct brief’s report was purged, once every channel that took it had completed; null otherwise, including while a channel’s processing has failed

string format: date-time
nullable
results
required

Current results by key

object
key
additional properties
object
value
required
reason
string
nullable
source
required
string
Allowed values: triage integration api
written_at
required
string format: date-time
created_at
required
string
updated_at
required
string
relationships
object
organization
object
data
object
id
required
string
type
required
string
Allowed values: organization
brief
object
data
object
id
required
string
type
required
string
Allowed values: brief
Example
{
"data": {
"type": "report",
"attributes": {
"results": {
"additionalProperty": {
"source": "triage"
}
}
},
"relationships": {
"organization": {
"data": {
"type": "organization"
}
},
"brief": {
"data": {
"type": "brief"
}
}
}
}
}

Unauthorized

Report not found, or outside the plan history window